Merge branch 'master' of ssh://gnunet.org/gnunet
[oweals/gnunet.git] / src / gns / test_gns_revocation.sh
1 #!/bin/bash
2 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
3 which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
4
5 LOCATION=$(which gnunet-config)
6 if [ -z $LOCATION ]
7 then
8   LOCATION="gnunet-config"
9 fi
10 $LOCATION --version 1> /dev/null
11 if test $? != 0
12 then
13         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
14         exit 77
15 fi
16
17 rm -rf /tmp/test-gnunet-gns-peer-1/
18
19 TEST_IP="127.0.0.1"
20 gnunet-arm -s -c test_gns_lookup.conf
21 gnunet-identity -C delegatedego -c test_gns_lookup.conf
22 DELEGATED_PKEY=$(gnunet-identity -d -c test_gns_lookup.conf | grep delegatedego | awk '{print $3}')
23 gnunet-identity -C testego -c test_gns_lookup.conf
24 gnunet-namestore -p -z testego -a -n b -t PKEY -V $DELEGATED_PKEY -e never -c test_gns_lookup.conf
25 gnunet-namestore -p -z delegatedego -a -n www -t A -V $TEST_IP -e never -c test_gns_lookup.conf
26 RES_IP=`$DO_TIMEOUT gnunet-gns --raw -z testego -u www.b.gnu -t A -c test_gns_lookup.conf`
27 gnunet-revocation -R delegatedego -p  -c test_gns_lookup.conf
28 RES_IP_REV=`$DO_TIMEOUT gnunet-gns --raw -z testego -u www.b.gnu -t A -c test_gns_lookup.conf`
29 gnunet-namestore -z testego -d -n b -t PKEY -V $DELEGATED_PKEY  -e never -c test_gns_lookup.conf
30 gnunet-namestore -z delegatedego -d -n www -t A -V $TEST_IP  -e never -c test_gns_lookup.conf
31 gnunet-arm -e -c test_gns_lookup.conf
32 rm -rf /tmp/test-gnunet-gns-peer-1/
33
34 if [ "$RES_IP" != "$TEST_IP" ]
35 then
36   echo "Failed to resolve to proper IP, got $RES_IP."
37   exit 1
38 fi
39
40 if [ "x$RES_IP_REV" == "x" ]
41 then
42   exit 0
43 else
44   echo "Failed to revoke zone, got $RES_IP_REV."
45   exit 1
46 fi